<?php

require('../functions/conexion.php');

function get_notas($rol_usuario, $id_usuario){
    
    $reg=0;
    $datos=array();
    
    if($rol_usuario=="ADMINISTRADOR"){
        $result = query("call sp_cons_notas(1,1)"); 
    }else{
        $result = query("call sp_cons_notas(3,'$id_usuario')");
    }
    
    //$result = query("call sp_cons_notas(1,1)"); 
    while($resultado=mysqli_fetch_assoc($result))
    {
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["CLAVE"]=$resultado["CLAVE"];
        $datos[$reg]["FECHA"]=$resultado["FECHA"];
        $datos[$reg]["ULTIMO_CAMBIO"]=$resultado["ULTIMO_CAMBIO"];
        $datos[$reg]["ESTATUS"]=$resultado["ESTATUS"];
        $datos[$reg]["NO_MESA"]=$resultado["NO_MESA"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        $datos[$reg]["NO_PERSONAS"]=$resultado["NO_PERSONAS"];
        $datos[$reg]["NOMBRE"]=$resultado["NOMBRE"];
        $reg++;
    }
    
    return $datos;
}

function get_productos(){
    $reg=0;
    $datos=array();
    $result = query("CALL sp_cons_productos(1,1)");
    while($resultado=mysqli_fetch_assoc($result))
    {
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["CLAVE"]=$resultado["CLAVE"];
        $datos[$reg]["NOMBRE"]=$resultado["NOMBRE"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        $reg++;
    }
    return $datos;
}

function get_usuarios(){
    $reg=0;
    $datos=array();
    $result = query("SELECT DISTINCT A.id 'CLAVE', A.uss_nombre 'NOMBRE' FROM usuarios A, sessiones B WHERE A.id=B.uss_id");
    while($resultado=mysqli_fetch_assoc($result))
    {
        $datos[$reg]["CLAVE"]=$resultado["CLAVE"];
        $datos[$reg]["NOMBRE"]=$resultado["NOMBRE"];
        $reg++;
    }
    return $datos;
}

function crear_nota(){
    $id=$_SESSION['cveUsuario'];
    $nota= query("call sp_crear_nota('$id')");
    $datos=array();
    while($resultado=mysqli_fetch_assoc($nota))
    {
        $datos[0]["INSERTADO"]=$resultado["REGISTRADO"];
        $datos[1]["ID"] = $resultado["ID"];
    }
    return $datos;
}
function get_nota($nta){
    
    $id_nota = $nta[1]["ID"];
    
    // $nota = query("CALL sp_cons_nota(1,$id_nota)");
    $nota = query("SELECT A.id 'ID', A.ntv_no_nota 'CLAVE', A.ntv_hora_ini 'HORA_INI', 
        B.uss_nombre 'NOMBRE', B.id 'USS_ID'
        FROM notas_venta A, usuarios B WHERE A.id_usuario = B.id AND A.id=$id_nota;");
    $datos=array();
    while($resultado=mysqli_fetch_assoc($nota))
    {
        $datos[0]["ID"]=$resultado["ID"];
        $datos[1]["CLAVE"] = $resultado["CLAVE"];
        $datos[2]["HORA_INI"] = $resultado["HORA_INI"];
        $datos[3]["NOMBRE"] = $resultado["NOMBRE"];
        $datos[4]["USS_ID"] = $resultado["USS_ID"];
    }
    return $datos;   
}
function get_nta($nta){
  //$nota = query("CALL sp_cons_nota(2,'$nta')");
    $nota = query("SELECT A.id 'ID', A.ntv_no_nota 'CLAVE', A.ntv_hora_ini 'HORA_INI', 
                    B.uss_nombre 'NOMBRE', A.ntv_hora_edt 'EDICION', A.ntv_zona_ate
                    'ZONA', A.ntv_subtotal 'SUBTOTAL', A.ntv_total_descuento 'DESCUENTO', 
                    A.ntv_total_nota 'TOTAL', A.ntv_no_mesa 'MESA', A.ntv_no_personas 'PERSONAS', 
                    A.updated_at 'FECHA_HORA_EDT', A.ntv_estatus 'ESTATUS', B.id 'USS_ID' 
                    FROM notas_venta A, usuarios B WHERE A.id_usuario = B.id AND A.id=$nta;");
    $datos=array();
    while($resultado=mysqli_fetch_assoc($nota))
    {
        $datos[0]["ID"]=$resultado["ID"];
        $datos[1]["CLAVE"] = $resultado["CLAVE"];
        $datos[2]["HORA_INI"] = $resultado["HORA_INI"];
        $datos[3]["NOMBRE"] = $resultado["NOMBRE"];
        $datos[4]["EDICION"] = $resultado["EDICION"];
        $datos[6]["ZONA"] = $resultado["ZONA"];
        $datos[7]["SUBTOTAL"] = $resultado["SUBTOTAL"];
        $datos[8]["DESCUENTO"] = $resultado["DESCUENTO"];
        $datos[9]["TOTAL"] = $resultado["TOTAL"];
        $datos[10]["MESA"] = $resultado["MESA"];
        $datos[11]["PERSONAS"] = $resultado["PERSONAS"];
        $datos[12]["ESTATUS"] = $resultado["ESTATUS"];
        $datos[13]["USS_ID"] = $resultado["USS_ID"];
    }
    return $datos;  
}
function get_productos_x_nota($id, $op){
    $reg=0;
    $datos=array();
    $result = query("SELECT A.id 'CLAVE', A.pdn_cantidad 'CANTIDAD', B.pro_nombre 'NOMBRE', 
    A.pdn_comentario 'COMENTARIO', A.pdn_comensal 'COMENSAL', A.pdn_precio 'PRECIO', 
    A.impreso 'IMP', B.id 'ID_PRO', A.pdn_tiempo 'TIEMPO', 
    case when A.pdn_estatus IN ('cancelado','eliminado') then 'bg-danger-c' ELSE '' END 'COLOR'
        FROM productos_nota A, productos B, notas_venta C WHERE A.id_nota_venta=C.id AND A.id_producto=B.id AND A.id_nota_venta=$id;");
    while($resultado=mysqli_fetch_assoc($result))
    {
        $datos[$reg]["CLAVE"]=$resultado["CLAVE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["NOMBRE"]=$resultado["NOMBRE"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["IMP"]=$resultado["IMP"]; //
        $datos[$reg]["ID_PRO"]=$resultado["ID_PRO"];
        $datos[$reg]["BCOLOR"] = $resultado["COLOR"];
        $reg++;
    }
    return $datos;
}
function get_materia_pri_x_producto($id){
    $reg=0;
    $datos=array();
    $result = query("SELECT A.pdn_cantidad 'CANTIDAD', B.pro_nombre 'pro_nombre', C.rec_nombre 'REC_NOMBRE', E.map_nombre 'MAP_NOMBRE', D.rem_entrada 'REM_ENTRADA' FROM productos_nota A, productos B, receta C, receta_materia_prima D, materia_prima E WHERE A.id_producto=B.id AND B.pro_id_receta=C.id AND C.id=D.rec_id AND D.map_id=E.id AND A.id=$id");
    while($resultado=mysqli_fetch_assoc($result))
    {
        $datos[$reg]["CLAVE"]=$resultado["CLAVE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["NOMBRE"]=$resultado["NOMBRE"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["IMP"]=$resultado["IMP"]; //
        $datos[$reg]["ID_PRO"]=$resultado["ID_PRO"];
        $reg++;
    }
    return $datos;
}
// obtener recetas 
function get_recetas($id){
    $reg=0;
    $datos=array();
    $result = query("SELECT A.id 'ID', A.rec_nombre 'REC_NOMBRE', A.rec_clave 'REC_CLAVE', A.rec_fecha 'FECHA', A.rec_estatus'ESTATUS' FROM receta A WHERE 1 LIMIT 10");
    while($resultado=mysqli_fetch_assoc($result ))
    {
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["REC_NOMBRE"]=$resultado["REC_NOMBRE"];
        $datos[$reg]["REC_CLAVE"]=$resultado["RE_CLAVE"];
        $datos[$reg]["REC_FECHA"]=$resultado["REC_FECHA"];
        $reg++;
    }
    return $datos;
}

function notas_del_dia(){
    $query = query("SELECT COUNT(A.id) 'NOTE_DAY' FROM notas_venta A WHERE A.ntv_fecha_creacion=CURRENT_DATE");
    $resultado=mysqli_fetch_assoc($query);
    return  $resultado["NOTE_DAY"];
}
function total_del_dia(){
    $query = query("SELECT SUM(A.ntv_total_nota) 'TOTAL_DAY' FROM notas_venta A WHERE A.ntv_fecha_creacion=CURRENT_DATE AND A.ntv_estatus IN ('finalizado');");
    $resultado=mysqli_fetch_assoc($query);
    return  $resultado["TOTAL_DAY"];
}
function notas_semanales(){
    $query=query("SELECT COUNT(*) as NOTE_WEEK FROM notas_venta WHERE WEEK(CURRENT_DATE())= WEEK(ntv_fecha_creacion) ");
    $resultado=mysqli_fetch_assoc($query);
    return  $resultado["NOTE_WEEK"];
}
function notas_semanales_total_ingresos(){
    $query = query("SELECT SUM(A.ntv_total_nota) 'NOTE_WEEK' FROM notas_venta A WHERE WEEK(CURRENT_DATE())= WEEK(ntv_fecha_creacion) AND A.ntv_estatus IN ('finalizado');");
    $resultado=mysqli_fetch_assoc($query);
    return  $resultado["NOTE_WEEK"];
}
function get_aumento_por_dia(){
    $notas_del_dia = notas_del_dia();
    $query = query("SELECT AVG(count) as promedio_diario FROM ( SELECT COUNT(*) as count FROM notas_venta GROUP BY ntv_fecha_creacion ) as fecha;");
    $resultado=mysqli_fetch_assoc($query);
    $dias_query = query("SELECT DISTINCT ntv_fecha_creacion FROM notas_venta;");

    if (!$resultado["promedio_diario"]) {
        $notas_promedio_diarios=$notas_del_dia;
        $aux=0;
    }else{
        if ($dias_query->num_rows > 1) {
            $notas_promedio_diarios=$resultado["promedio_diario"];
            
            $aumento=($notas_del_dia-$notas_promedio_diarios)*100;
            $aux=$aumento/$notas_promedio_diarios;
        }else{
            $aux = $notas_del_dia;
        }
    }
    return $aux;
    
}
function get_aumento_monetario_por_dia(){
    $notas_del_dia = total_del_dia();
    $query = query("SELECT AVG(count) as promedio_diario FROM (SELECT SUM(ntv_total_nota) as count FROM notas_venta WHERE ntv_estatus IN ('finalizado') GROUP BY ntv_fecha_creacion ) as fecha;");
    $resultado=mysqli_fetch_assoc($query);
    $dias_query = query("SELECT DISTINCT ntv_fecha_creacion FROM notas_venta;");
    if (!$resultado["promedio_diario"]) {
        $notas_promedio_diarios=$notas_del_dia;
        $aux=0;
    }else{
        //if ($dias_query->num_rows > 1) {
            $notas_promedio_diarios=$resultado["promedio_diario"];
            $aumento=($notas_del_dia-$notas_promedio_diarios)*100;

            $aux=$aumento/$notas_promedio_diarios;
        /*}else {

            $aux=$notas_del_dia;
        }*/
        
    }
   
    return   $aux;
}
function get_aumento_semanal(){
    //
    $notas_semanal =notas_semanales();
    $query = query("SELECT AVG(count) as promedio_semanal FROM ( SELECT COUNT(*) as count FROM notas_venta GROUP BY WEEK(ntv_fecha_creacion) ) as fecha");
    $resultado=mysqli_fetch_assoc($query);
    
    $dias_query = query("SELECT DISTINCT ntv_fecha_creacion FROM notas_venta;");
    if (!$resultado["promedio_semanal"]) {
        $notas_promerdio_semanal=$notas_semanal;
        $aux=0;
    }else{
        if ($dias_query->num_rows > 1) {
            $notas_promerdio_semanal = $resultado["promedio_semanal"];
            $aumento = ($notas_semanal-$notas_promerdio_semanal )*100;

            $aux=$aumento/$notas_promerdio_semanal;
        }else{
            $aux=$notas_semanal ;
        }
    }
    return  $aux;
}
function get_aumento_monetario_semanal(){
    $notas_del_dia = notas_semanales_total_ingresos();
    $query = query("SELECT AVG(count) as promedio_semanal FROM ( SELECT SUM(ntv_total_nota) as count FROM notas_venta WHERE ntv_estatus IN ('finalizado') GROUP BY WEEK(ntv_fecha_creacion) ) as fecha;");
    $resultado=mysqli_fetch_assoc($query);
    if (!$resultado["promedio_semanal"]) {
        $notas_promerdio_semanal=$notas_del_dia;
        $aux=0;
    }else{
        $notas_promedio_semanal=$resultado["promedio_semanal"];
        $aumento=($notas_del_dia-$notas_promedio_semanal)*100;

        $aux=$aumento/$notas_promedio_semanal;
    }
    return $aux;
}
function get_materia_prima_faltante(){
    $reg=0;
    $datos=array();
    $result = query("SELECT id 'MAP_ID',map_nombre 'MAP_NOMBRE', map_fecha_entrada 'MAP_FECHA' FROM materia_prima WHERE map_existencia=0");
    while($resultado=mysqli_fetch_assoc($result))
    {
        $datos[$reg]["MAP_ID"]=$resultado["MAP_ID"];
        $datos[$reg]["MAP_NOMBRE"]=$resultado["MAP_NOMBRE"];
        $datos[$reg]["MAP_FECHA"]=$resultado["MAP_FECHA"];
        $reg++;
    }
    return $datos;
}
function get_notas_diarias(){
    $reg=0;
    $data=array();
    
    $result = query("SELECT ntv_fecha_creacion 'FECHA', COUNT(*) AS TOTAL 
                FROM notas_venta 
                WHERE ntv_estatus IN ('finalizado') AND ntv_fecha_creacion >= DATE_ADD(NOW(), INTERVAL -15 DAY) AND ntv_fecha_creacion <= NOW()
                GROUP BY ntv_fecha_creacion ORDER BY ntv_fecha_creacion ASC LIMIT 15;");
    while($resultado=mysqli_fetch_assoc($result))
    {
        $data['label'][]=$resultado["FECHA"];
        $data['data'][]=$resultado["TOTAL"];
        $reg++;
    }
    
    
    return json_encode($data);
}
function get_total_ganancia_notas_diarias(){
    $reg=0;
    $data=array();
    
    $result = query("SELECT ntv_fecha_creacion 'FECHA', SUM(ntv_total_nota) AS TOTAL FROM notas_venta 
                WHERE ntv_estatus IN ('finalizado') AND  ntv_fecha_creacion >= DATE_ADD(NOW(), INTERVAL -15 DAY) 
                AND ntv_fecha_creacion <= NOW()
                GROUP BY ntv_fecha_creacion LIMIT 15;");
    while($resultado=mysqli_fetch_assoc($result))
    {
        $data['label'][]=$resultado["FECHA"];
        $data['data'][]=$resultado["TOTAL"];
        $reg++;
    }
    
    
    return json_encode($data);
}
function get_materias_prima(){
    //SELECT DISTINCT A.map_clasificacion 'MAP_CLASIFICACION' FROM materia_prima A;
    $reg=0;
    $datos=array();
    $result = query("SELECT DISTINCT A.map_clasificacion 'MAP_CLASIFICACION' FROM materia_prima A");
    while($resultado=mysqli_fetch_assoc($result))
    {
        $datos[$reg]["MAP_CLASIFICACION"]=$resultado["MAP_CLASIFICACION"];
        $reg++;
    }
    return $datos;
}
//


function get_personas_dia(){
    

    $result = query("SELECT SUM(A.ntv_no_personas) 'NUM_PEOPLE' FROM notas_venta A WHERE A.ntv_fecha_creacion=CURRENT_DATE;");
    $resultado=mysqli_fetch_assoc($result);
    $res = 0;
    if ($resultado['NUM_PEOPLE']!=null) {
        $res = $resultado['NUM_PEOPLE'];
    }
    
    return $res;
}

function get_mesas_dia(){
   
    $result = query("SELECT COUNT(A.ntv_no_mesa) 'NUM_MESAS' FROM notas_venta A WHERE A.ntv_fecha_creacion=CURRENT_DATE AND ntv_no_mesa!='';");
    $resultado=mysqli_fetch_assoc($result);
    
    return $resultado['NUM_MESAS'];
}
function get_personas_dia_total(){
    $notas_del_dia = get_personas_dia();
    $query = query("SELECT AVG(count) as promedio_diario FROM (SELECT SUM(ntv_no_personas) as count FROM notas_venta GROUP BY ntv_fecha_creacion ) as fecha;");
    $resultado=mysqli_fetch_assoc($query);
    $dias_query = query("SELECT DISTINCT ntv_fecha_creacion FROM notas_venta;");
    if (!$resultado["promedio_diario"]) {
        $notas_promedio_diarios=$notas_del_dia;
        $aux=0;
    }else{
        //if ($dias_query->num_rows > 1) {
            $notas_promedio_diarios=$resultado["promedio_diario"];
            $aumento=($notas_del_dia-$notas_promedio_diarios)*100;

            $aux=$aumento/$notas_promedio_diarios;
        /*}else {

            $aux=$notas_del_dia;
        }*/
        
    }
    return   $aux;
}

function get_mesas_dia_total(){
    $notas_del_dia = get_mesas_dia();
    $query = query("SELECT AVG(count) as promedio_diario FROM (SELECT COUNT(ntv_no_mesa) as count FROM notas_venta WHERE ntv_no_mesa!='' GROUP BY ntv_fecha_creacion ) as fecha;");
    $resultado=mysqli_fetch_assoc($query);
    $dias_query = query("SELECT DISTINCT ntv_fecha_creacion FROM notas_venta;");
    if (!$resultado["promedio_diario"]) {
        $notas_promedio_diarios=$notas_del_dia;
        $aux=0;
    }else{
        //if ($dias_query->num_rows > 1) {
            $notas_promedio_diarios=$resultado["promedio_diario"];
            $aumento=($notas_del_dia-$notas_promedio_diarios)*100;

            $aux=$aumento/$notas_promedio_diarios;
        /*}else {

            $aux=$notas_del_dia;
        }*/
        
    }
   
    return   $aux;
}
function get_cant_prod_nota($id){
    $query = query("SELECT COUNT(*) 'RES' FROM notas_venta A, productos_nota B WHERE B.id_nota_venta=A.id AND A.id=$id AND B.impreso = 'IC'");
    $res = mysqli_fetch_assoc($query);
    return $res['RES'];

}

function get_total_notas_periodo($from_date, $to_date,$id_prod){
    /* if ($id_prod == 0) { */
        $notas = query("SELECT COUNT(*) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado')");
    /* }else{
        if ($from_date==0 && $to_date==0) {
            $notas = query("SELECT COUNT(*) 'RES' FROM notas_venta as nta WHERE prd_nta.id_producto='$id_prod'");
        }else{
            $notas = query("SELECT COUNT(*) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado','impreso') AND prd_nta.id_producto='$id_prod'");
        }
        
    } */
    
    $res = mysqli_fetch_assoc($notas);
    return $res['RES'];

}

function get_consult_by_date($from_date,$to_date,$id_prod){
   
    $query = 
        "SELECT nta.id 'ID', nta.ntv_no_nota, nta.ntv_fecha_creacion, nta.ntv_hora_ini, nta.ntv_subtotal, nta.ntv_total_nota, nta.ntv_no_mesa, nta.ntv_no_personas, nta.ntv_tarjeta, nta.ntv_efectivo
        FROM notas_venta nta
        WHERE  nta.ntv_fecha_creacion 
        BETWEEN  '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado') GROUP BY nta.ntv_no_nota";
    
    $query_run =query($query);
    return $query_run;
}
function get_total_person_periodo($from_date, $to_date,$id_prod){
    if ($id_prod == 0) {
        $notas = query("SELECT SUM(nta.ntv_no_personas) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado')");
    }else{
        if ($from_date==0 && $to_date==0) {
            $notas = query("SELECT SUM(nta.ntv_no_personas) 'RES' FROM notas_venta as nta WHERE prd_nta.id_producto='$id_prod'");
        }else{
            $notas = query("SELECT SUM(nta.ntv_no_personas) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado') AND prd_nta.id_producto='$id_prod'");
        }
        
    }
    $resultado = mysqli_fetch_assoc($notas);
    $res = 0;
    if ($resultado['RES']!=null) {
        $res = $resultado['RES'];
    }
    
    return $res;

}
function get_total_mesas_periodo($from_date, $to_date,$id_prod){
    
    $notas = query("SELECT COUNT(*) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado') AND ntv_no_mesa!=''");
    
    $res = mysqli_fetch_assoc($notas);
    return $res['RES'];

}
function get_total_efectivo_periodo($from_date, $to_date,$id_prod){
    if ($id_prod == 0) {
        $notas = query("SELECT SUM(ntv_efectivo) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado') and ntv_id_tipo_pago!=1");
    }else{
        if ($from_date==0 && $to_date==0) {
            $notas = query("SELECT SUM(ntv_efectivo) 'RES' FROM notas_venta as nta WHERE prd_nta.id_producto='$id_prod'");
        }else{
            $notas = query("SELECT SUM(ntv_efectivo) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado') and ntv_id_tipo_pago!=1 AND prd_nta.id_producto='$id_prod'");
        }
        
    }
    $resultado = mysqli_fetch_assoc($notas);
    $res = 0;
    if ($resultado['RES']!=null) {
        $res = $resultado['RES'];
    }
    
    return $res;

}
function get_total_tarjeta_periodo($from_date, $to_date,$id_prod){
    if ($id_prod == 0) {
        $notas = query("SELECT  SUM(ntv_tarjeta) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado') AND ntv_id_tipo_pago!=2");
    }else{
        if ($from_date==0 && $to_date==0) {
            $notas = query("SELECT  SUM(ntv_tarjeta) 'RES' FROM notas_venta as nta WHERE prd_nta.id_producto='$id_prod'");
        }else{
            $notas = query("SELECT  SUM(ntv_tarjeta) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado') AND ntv_id_tipo_pago!=2 AND prd_nta.id_producto='$id_prod'");
        }
        
    }
    //$notas = query("SELECT  SUM(ntv_tarjeta) 'RES' FROM notas_venta as nta, productos_nota as prd_nta WHERE prd_nta.id_nota_venta = nta.id AND nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado','impreso')AND ntv_estatus IN ('finalizado','impreso') AND ntv_id_tipo_pago!=2 AND prd_nta.id_producto='$id_prod'");
    $resultado = mysqli_fetch_assoc($notas);
    $res = 0;
    if ($resultado['RES']!=null) {
        $res = $resultado['RES'];
    }
    
    return $res;

}
function get_total_dinero($from_date, $to_date,$id_prod){
    if ($id_prod == 0) {
        $notas = query("SELECT SUM(ntv_tarjeta+ntv_efectivo) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado'); ");
    }else{
        if ($from_date==0 && $to_date==0) {
            $notas = query("SELECT SUM(ntv_tarjeta+ntv_efectivo) 'RES' FROM notas_venta as nta WHERE prd_nta.id_producto='$id_prod'; ");
        }else{
            $notas = query("SELECT SUM(ntv_tarjeta+ntv_efectivo) 'RES' FROM notas_venta as nta WHERE nta.ntv_fecha_creacion BETWEEN '$from_date' AND '$to_date' AND ntv_estatus IN ('finalizado') AND prd_nta.id_producto='$id_prod'; ");
        }
        
    }
    $resultado = mysqli_fetch_assoc($notas);
    $res = 0;
    if ($resultado['RES']!=null) {
        $res = $resultado['RES'];
    }
    
    return $res;

}
/* 
function setProductBtn($datos)
{
    $id = $datos['idProducto'];
    query("UPDATE productos_nota SET productos_nota.pdn_estatus = 'desactivo', updated_at = CURRENT_TIME() WHERE productos_nota.id = $id;");
    echo $id;
}

if (isset($_GET['u'])) {
    if ($_GET['u'] == 'setProductBtn') {
        setProductBtn($_POST);
    }
    
} */

// **********  TABLET  ************
function get_nota_tb($nta){
    $nota = query("SELECT A.id 'ID', A.ntv_no_nota 'CLAVE', A.ntv_hora_ini 'HORA_INI', 
                B.uss_nombre 'NOMBRE', A.ntv_hora_edt 'EDICION', A.ntv_zona_ate
                'ZONA', A.ntv_subtotal 'SUBTOTAL', A.ntv_total_descuento 'DESCUENTO', 
                A.ntv_total_nota 'TOTAL', A.ntv_no_mesa 'MESA', A.ntv_no_personas 'PERSONAS', 
                A.updated_at 'FECHA_HORA_EDT', A.ntv_estatus 'ESTATUS', C.pdn_comensal 'COMENSAL' 
                FROM notas_venta A 
					 Inner Join usuarios AS B ON B.id = A.id_usuario
					 LEFT JOIN productos_nota AS C ON C.id_nota_venta = A.id 
                WHERE A.id=$nta GROUP BY A.id LIMIT 1;");
    $datos=array();
    while($resultado=mysqli_fetch_assoc($nota))
    {
        $datos[0]["ID"]=$resultado["ID"];
        $datos[1]["CLAVE"] = $resultado["CLAVE"];
        $datos[2]["HORA_INI"] = $resultado["HORA_INI"];
        $datos[3]["NOMBRE"] = $resultado["NOMBRE"];
        $datos[4]["EDICION"] = $resultado["EDICION"];
        $datos[6]["ZONA"] = $resultado["ZONA"];
        $datos[7]["SUBTOTAL"] = $resultado["SUBTOTAL"];
        $datos[8]["DESCUENTO"] = $resultado["DESCUENTO"];
        $datos[9]["TOTAL"] = $resultado["TOTAL"];
        $datos[10]["MESA"] = $resultado["MESA"];
        $datos[11]["PERSONAS"] = $resultado["PERSONAS"];
        $datos[12]["ESTATUS"] = $resultado["ESTATUS"];
        $datos[13]["COMENSAL"] = $resultado["COMENSAL"];
    }
    return $datos;  
}

function bitSession($us_id, $ntv_id){
    query("INSERT INTO sesiones(uss_id,ntv_id,estatus) VALUES('$us_id','$ntv_id','1')");
    $query = query("SELECT id FROM sesiones where uss_id = $us_id AND ntv_id = $ntv_id AND estatus='1' 
        ORDER BY id DESC limit 1");
    $ses_id = mysqli_fetch_assoc($query);
    $id_session= $ses_id['id'];
    return $id_session;
}
function getSessionId($us_id, $ntv_id){
    $query = query("SELECT id FROM sesiones where uss_id = $us_id AND ntv_id = $ntv_id 
    ORDER BY id DESC limit 1");
    if($query->num_rows == 0){
        query("INSERT INTO sesiones(uss_id,ntv_id,estatus) VALUES('$us_id','$ntv_id','1')");
        $query = query("SELECT id FROM sesiones where uss_id = $us_id AND ntv_id = $ntv_id 
    ORDER BY id DESC limit 1");
    }
    
    $ses_id = mysqli_fetch_assoc($query);
    $id_session= $ses_id['id'];
    return $id_session;
}
function edtBitSession($session_id){
    query("UPDATE sesiones SET estatus = '1', updated_at = CURRENT_TIME() where id = '$session_id'");
    
}


?>